camera:
  rgbd_sync:
    approx: true
rosdistro: 'melodic
  '
roslaunch:
  uris:
    host_foresight__41757: http://FORESIGHT:41757/
rosversion: '1.14.3
  '
rtabmap:
  BRIEF:
    Bytes: '32'
  BRISK:
    Octaves: '3'
    PatternScale: '1'
    Thresh: '30'
  Bayes:
    FullPredictionUpdate: 'false'
    PredictionLC: 0.1 0.36 0.30 0.16 0.062 0.0151 0.00255 0.000324 2.5e-05 1.3e-06
      4.8e-08 1.2e-09 1.9e-11 2.2e-13 1.7e-15 8.5e-18 2.9e-20 6.9e-23
    VirtualPlacePriorThr: '0.9'
  DbSqlite3:
    CacheSize: '10000'
    InMemory: 'false'
    JournalMode: '3'
    Synchronous: '0'
    TempStore: '2'
  FAST:
    CV: '0'
    Gpu: 'false'
    GpuKeypointsRatio: '0.05'
    GridCols: '0'
    GridRows: '0'
    MaxThreshold: '200'
    MinThreshold: '7'
    NonmaxSuppression: 'true'
    Threshold: '20'
  FREAK:
    NOctaves: '4'
    OrientationNormalized: 'true'
    PatternScale: '22'
    ScaleNormalized: 'true'
  GFTT:
    BlockSize: '3'
    K: '0.04'
    MinDistance: '3'
    QualityLevel: '0.001'
    UseHarrisDetector: 'false'
  GMS:
    ThresholdFactor: '6.0'
    WithRotation: 'false'
    WithScale: 'false'
  GTSAM:
    Optimizer: '1'
  Grid:
    3D: 'true'
    CellSize: '0.05'
    ClusterRadius: '0.1'
    DepthDecimation: '4'
    DepthRoiRatios: 0.0 0.0 0.0 0.0
    FlatObstacleDetected: 'true'
    FootprintHeight: '0.0'
    FootprintLength: '0.0'
    FootprintWidth: '0.0'
    FromDepth: 'true'
    GroundIsObstacle: 'false'
    MapFrameProjection: 'false'
    MaxGroundAngle: '45'
    MaxGroundHeight: '0.0'
    MaxObstacleHeight: '0.0'
    MinClusterSize: '10'
    MinGroundHeight: '0.0'
    NoiseFilteringMinNeighbors: '5'
    NoiseFilteringRadius: '0.0'
    NormalK: '20'
    NormalsSegmentation: 'true'
    PreVoxelFiltering: 'true'
    RangeMax: '5.0'
    RangeMin: '0.0'
    RayTracing: 'false'
    Scan2dUnknownSpaceFilled: 'false'
    ScanDecimation: '1'
  GridGlobal:
    Eroded: 'false'
    FootprintRadius: '0.0'
    FullUpdate: 'true'
    MaxNodes: '0'
    MinSize: '0.0'
    OccupancyThr: '0.5'
    ProbClampingMax: '0.971'
    ProbClampingMin: '0.1192'
    ProbHit: '0.7'
    ProbMiss: '0.4'
    UpdateError: '0.01'
  Icp:
    CorrespondenceRatio: '0.1'
    DownsamplingStep: '1'
    Epsilon: '0'
    Iterations: '30'
    MaxCorrespondenceDistance: '0.05'
    MaxRotation: '0.78'
    MaxTranslation: '0.2'
    PM: 'false'
    PMConfig: ''
    PMMatcherEpsilon: '0.0'
    PMMatcherKnn: '1'
    PMOutlierRatio: '0.95'
    PointToPlane: 'false'
    PointToPlaneK: '5'
    PointToPlaneMinComplexity: '0.02'
    PointToPlaneRadius: '1.0'
    RangeMax: '0'
    RangeMin: '0'
    VoxelSize: '0.0'
  ImuFilter:
    ComplementaryBiasAlpha: '0.01'
    ComplementaryDoAdpativeGain: 'true'
    ComplementaryDoBiasEstimation: 'true'
    ComplementaryGainAcc: '0.01'
    MadgwickGain: '0.1'
    MadgwickZeta: '0.0'
  KAZE:
    Diffusivity: '1'
    Extended: 'false'
    NOctaveLayers: '4'
    NOctaves: '4'
    Threshold: '0.001'
    Upright: 'false'
  Kp:
    BadSignRatio: '0.5'
    DetectorStrategy: '6'
    DictionaryPath: ''
    FlannRebalancingFactor: '2.0'
    GridCols: '1'
    GridRows: '1'
    IncrementalDictionary: 'true'
    IncrementalFlann: 'true'
    MaxDepth: '0'
    MaxFeatures: '500'
    MinDepth: '0'
    NNStrategy: '1'
    NewWordsComparedTogether: 'true'
    NndrRatio: '0.8'
    Parallelized: 'true'
    RoiRatios: 0.0 0.0 0.0 0.0
    SubPixEps: '0.02'
    SubPixIterations: '0'
    SubPixWinSize: '3'
    TfIdfLikelihoodUsed: 'true'
  Marker:
    CornerRefinementMethod: '0'
    Dictionary: '0'
    Length: '0'
    MaxDepthError: '0.01'
    VarianceAngular: '0.01'
    VarianceLinear: '0.001'
  Mem:
    BadSignaturesIgnored: 'false'
    BinDataKept: 'true'
    CompressionParallelized: 'true'
    CovOffDiagIgnored: 'true'
    DepthAsMask: 'true'
    GenerateIds: 'true'
    ImageCompressionFormat: .jpg
    ImageKept: 'false'
    ImagePostDecimation: '1'
    ImagePreDecimation: '1'
    IncrementalMemory: 'true'
    InitWMWithAllNodes: 'false'
    IntermediateNodeDataKept: 'false'
    LaserScanDownsampleStepSize: '1'
    LaserScanNormalK: '0'
    LaserScanNormalRadius: '0.0'
    LaserScanVoxelSize: '0.0'
    LocalizationDataSaved: 'false'
    MapLabelsAdded: 'true'
    NotLinkedNodesKept: 'true'
    RawDescriptorsKept: 'true'
    RecentWmRatio: '0.2'
    ReduceGraph: 'false'
    RehearsalIdUpdatedToNewOne: 'false'
    RehearsalSimilarity: '0.6'
    RehearsalWeightIgnoredWhileMoving: 'false'
    STMSize: '10'
    SaveDepth16Format: 'false'
    StereoFromMotion: 'false'
    TransferSortingByWeightId: 'false'
    UseOdomFeatures: 'true'
    UseOdomGravity: 'false'
  ORB:
    EdgeThreshold: '31'
    FirstLevel: '0'
    Gpu: 'false'
    NLevels: '8'
    PatchSize: '31'
    ScaleFactor: '1.2'
    ScoreType: '0'
    WTA_K: '2'
  Optimizer:
    Epsilon: '0.0'
    GravitySigma: '0.0'
    Iterations: '20'
    LandmarksIgnored: 'false'
    PriorsIgnored: 'true'
    Robust: 'false'
    Strategy: '1'
    VarianceIgnored: 'false'
  PyMatcher:
    Cuda: 'true'
    Iterations: '20'
    Model: indoor
    Path: ''
    Threshold: '0.2'
  RGBD:
    AngularSpeedUpdate: '0.0'
    AngularUpdate: '0.1'
    CreateOccupancyGrid: 'true'
    Enabled: 'true'
    GoalReachedRadius: '0.5'
    GoalsSavedInUserData: 'false'
    LinearSpeedUpdate: '0.0'
    LinearUpdate: '0.1'
    LocalBundleOnLoopClosure: 'false'
    LocalImmunizationRatio: '0.25'
    LocalRadius: '10'
    LoopClosureReextractFeatures: 'false'
    LoopCovLimited: 'false'
    MarkerDetection: 'false'
    MaxLocalRetrieved: '2'
    MaxLoopClosureDistance: '0.0'
    MaxOdomCacheSize: '0'
    NeighborLinkRefining: 'false'
    NewMapOdomChangeDistance: '0'
    OptimizeFromGraphEnd: 'false'
    OptimizeMaxError: '3.0'
    PlanAngularVelocity: '0'
    PlanLinearVelocity: '0'
    PlanStuckIterations: '0'
    ProximityAngle: '45'
    ProximityBySpace: 'true'
    ProximityByTime: 'false'
    ProximityMaxGraphDepth: '50'
    ProximityMaxPaths: '3'
    ProximityOdomGuess: 'false'
    ProximityPathFilteringRadius: '1'
    ProximityPathMaxNeighbors: '0'
    ProximityPathRawPosesUsed: 'true'
    SavedLocalizationIgnored: 'false'
    ScanMatchingIdsSavedInLinks: 'true'
  Reg:
    Force3DoF: 'false'
    RepeatOnce: 'true'
    Strategy: '0'
  Rtabmap:
    ComputeRMSE: 'true'
    CreateIntermediateNodes: 'false'
    DetectionRate: '1'
    ImageBufferSize: '1'
    ImagesAlreadyRectified: 'true'
    LoopGPS: 'true'
    LoopRatio: '0'
    LoopThr: '0.11'
    MaxRetrieved: '2'
    MemoryThr: '0'
    PublishLastSignature: 'true'
    PublishLikelihood: 'true'
    PublishPdf: 'true'
    PublishRAMUsage: 'false'
    PublishStats: 'true'
    RectifyOnlyFeatures: 'false'
    SaveWMState: 'false'
    StartNewMapOnGoodSignature: 'false'
    StartNewMapOnLoopClosure: 'false'
    StatisticLogged: 'false'
    StatisticLoggedHeaders: 'true'
    StatisticLogsBufferedInRAM: 'true'
    TimeThr: '0'
    WorkingDirectory: /home/sudo-panda/.ros
  SIFT:
    ContrastThreshold: '0.04'
    EdgeThreshold: '10'
    NFeatures: '0'
    NOctaveLayers: '3'
    RootSIFT: 'false'
    Sigma: '1.6'
  SURF:
    Extended: 'false'
    GpuKeypointsRatio: '0.01'
    GpuVersion: 'false'
    HessianThreshold: '500'
    OctaveLayers: '2'
    Octaves: '4'
    Upright: 'false'
  Stereo:
    DenseStrategy: '0'
    Eps: '0.01'
    Iterations: '30'
    MaxDisparity: '128.0'
    MaxLevel: '5'
    MinDisparity: '0.5'
    OpticalFlow: 'true'
    SSD: 'true'
    WinHeight: '3'
    WinWidth: '15'
  StereoBM:
    BlockSize: '15'
    Disp12MaxDiff: '-1'
    MinDisparity: '0'
    NumDisparities: '128'
    PreFilterCap: '31'
    PreFilterSize: '9'
    SpeckleRange: '4'
    SpeckleWindowSize: '100'
    TextureThreshold: '10'
    UniquenessRatio: '15'
  StereoSGBM:
    BlockSize: '15'
    Disp12MaxDiff: '1'
    MinDisparity: '0'
    Mode: '2'
    NumDisparities: '128'
    P1: '2'
    P2: '5'
    PreFilterCap: '31'
    SpeckleRange: '4'
    SpeckleWindowSize: '100'
    UniquenessRatio: '20'
  SuperPoint:
    Cuda: 'true'
    ModelPath: ''
    NMS: 'true'
    NMSRadius: '4'
    Threshold: '0.010'
  VhEp:
    Enabled: 'false'
    MatchCountMin: '8'
    RansacParam1: '3'
    RansacParam2: '0.99'
  Vis:
    BundleAdjustment: '1'
    CorFlowEps: '0.01'
    CorFlowIterations: '30'
    CorFlowMaxLevel: '3'
    CorFlowWinSize: '16'
    CorGuessMatchToProjection: 'false'
    CorGuessWinSize: '20'
    CorNNDR: '0.6'
    CorNNType: '1'
    CorType: '0'
    DepthAsMask: 'true'
    EpipolarGeometryVar: '0.1'
    EstimationType: '1'
    FeatureType: '8'
    ForwardEstOnly: 'true'
    GridCols: '1'
    GridRows: '1'
    InlierDistance: '0.1'
    Iterations: '300'
    MaxDepth: '0'
    MaxFeatures: '1000'
    MeanInliersDistance: '0.0'
    MinDepth: '0'
    MinInliers: '20'
    MinInliersDistribution: '0.0'
    PnPFlags: '0'
    PnPRefineIterations: '0'
    PnPReprojError: '2'
    RefineIterations: '5'
    RoiRatios: 0.0 0.0 0.0 0.0
    SubPixEps: '0.02'
    SubPixIterations: '0'
    SubPixWinSize: '3'
  g2o:
    Baseline: '0.075'
    Optimizer: '0'
    PixelVariance: '1.0'
    RobustKernelDelta: '8'
    Solver: '0'
  is_rtabmap_paused: false
  rtabmap:
    Kp:
      DetectorStrategy: '6'
    Mem:
      IncrementalMemory: 'true'
      InitWMWithAllNodes: 'false'
    frame_id: base_link
    publish_tf: true
    rgbd_cameras: 1
    subscribe_depth: false
    subscribe_rgbd: true
    wait_for_transform_duration: 0.3
  visual_odometry:
    Odom:
      FillInfoData: 'true'
      ResetCountdown: '1'
    OdomF2M:
      MaxSize: '1000'
    Vis:
      FeatureType: '6'
    frame_id: base_link
    guess_from_tf: true
    publish_null_when_lost: true
    publish_tf: true
    rgbd_cameras: 1
    subscribe_rgbd: true
    wait_for_transform_duration: 0.3
run_id: 8ae5784c-be20-11ea-ac66-50e085c884d0
use_sim_time: true
